www.cendio.com

Bug 6007

Summary: On-screen keyboard disappears when interacting with the Web Access GUI
Product: ThinLinc Reporter: Karl Mikaelsson <derfian@cendio.se>
Component: Web AccessAssignee: Pierre Ossman <ossman@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: astrand@cendio.se, samuel@cendio.se, thoni56@cendio.se
Version: trunkKeywords: derfian_tester, focus_focus, prosaic, upstream
Target Milestone: 4.8.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:
Bug Depends on:    
Bug Blocks: 6132    

Description From cendio 2016-09-23 14:15:57
Clicking buttons in the GUI makes the on-screen keyboard disappear, triggering
a session resize. Discovered on Android 5.1.1/Google Chrome, but I got the
feeling this wasn't device-specific from what Pierre/Samuel said.
------- Comment #1 From cendio 2016-10-13 14:50:15 -------
This problems comes from shitty focus handling in general between the canvas
and the UI elements. Fixing this has a high chance of fixing bug 6055 as well.
------- Comment #2 From cendio 2016-10-18 14:08:58 -------
Could be related to bug 6065.
------- Comment #3 From cendio 2017-01-10 10:02:25 -------
Fixed in upstream noVNC.
------- Comment #4 From cendio 2017-01-10 13:30:26 -------
(In reply to comment #3)
> Fixed in upstream noVNC.

See https://github.com/novnc/noVNC/pull/697
------- Comment #6 From cendio 2017-02-03 16:06:08 -------
This is fixed now.
------- Comment #7 From cendio 2017-02-08 13:35:40 -------
Pressing "Clear" in the clipboard window when the keyboard is visible makes the
keyboard disappear. Verified on Chromebook (Google Chrome) and Android (Google
Chrome and Firefox).
------- Comment #9 From cendio 2017-02-10 14:25:15 -------
(In reply to comment #7)
> Pressing "Clear" in the clipboard window when the keyboard is visible makes the
> keyboard disappear. Verified on Chromebook (Google Chrome) and Android (Google
> Chrome and Firefox).

You can now click clear without the keyboard disappearing.
------- Comment #10 From cendio 2017-04-19 15:10:31 -------
Testing on Windows Touch reveals that Chrome still has this problem:
- activate special key control bar
- open keyboard
- press Ctrl or Alt (other keys hidden by keyboard)
- keyboard closes
------- Comment #11 From cendio 2017-04-24 16:57:03 -------
(In reply to comment #10)
> Testing on Windows Touch reveals that Chrome still has this problem:
> - activate special key control bar
> - open keyboard
> - press Ctrl or Alt (other keys hidden by keyboard)
> - keyboard closes

I can not reproduce using these instructions. It works fine, the keyboard stays
open after clicking Ctrl or any other button in the control bar. Tested using
Chrome, FF, IE and Edge on Windows 10 touch, also tested Chrome on Chromebook
and can't see the issue anywhere.

One related issue that could perhaps be what was initially seen here has been
noted on bug 6348 however.